/***********************************/
/* Table of Descriptive Statistics */
/***********************************/
use "All Couples[14]", clear
putexcel a1=("Table 1: Descriptive Statistics") a2=("Variable") b2=("Definition") c2=("Mean") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", replace
summarize 1.mig
putexcel a3=("Migrant") b3=("=1 if Changed State of Residence between t=0 and t=2, =0 Otherwise") c3=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.own
putexcel a4=("Homeowner") b4=("=1 if Own Home, =0 Otherwise") c4=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize age
putexcel a5=("Age") b5=("Age in Years") c5=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize inc
putexcel a6=("Income") b6=("Previous Year's Income, Adjusted for Inflation") c6=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.educx
putexcel a7=("High School Graduate") b7=("=1 if High School Graduate, =0 Otherwise") c7=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 2.educx
putexcel a8=("College Graduate") b8=("=1 if College Graduate, =0 Otherwise") c8=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.p_mig
putexcel a9=("Lived in Other Region") b9=("=1 if Previously Lived in Another Region, =0 Otherwise") c9=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.cust17
putexcel a10=("Residential Child <18") b10=("=1 if Child less than 18 Resides in Family, =0 Otherwise") c10=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.cust23
putexcel a11=("Residential Child 18-23") b11=("=1 if Child 18 to 23 Resides in Family, =0 Otherwise") c11=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.ncust17
putexcel a12=("Non-Residential Child <18") b12=("=1 if Child less than 18 Resides Elsewhere, =0 Otherwise") c12=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.ncust23
putexcel a13=("Non-Residential Child 18-23") b13=("=1 if Child 18 to 23 Resides Elsewhere, =0 Otherwise") c13=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize d_age
putexcel a14=("Difference in Age") b14=("Age less Ex-Partner's Age") c14=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize d_educ
putexcel a15=("Difference in Education") b15=("Years of Education less Ex-Partner's Years of Education") c15=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize sh_inc
putexcel a16=("Share of Income") b16=("Share of Former Couple's Income") c16=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.fem
putexcel a17=("Female") b17=("=1 if Female, =0 Otherwise") c17=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 1.period
putexcel a18=("1982 to 1991") b18=("Observation-Year between 1982 and 1991, inclusive") c18=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 2.period
putexcel a19=("1992 to 2001") b19=("Observation-Year between 1992 and 2001, inclusive") c19=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 3.period
putexcel a20=("2002 to 2011") b20=("Observation-Year between 2002 and 2011, inclusive") c20=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 2.region
putexcel a21=("Midwest") b21=("Resides in the Midwest") c21=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 3.region
putexcel a22=("South") b22=("Resides in the South") c22=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify
summarize 4.region
putexcel a23=("West") b23=("Resides in the West") c23=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 1", modify

/**********************************/
/* Table 2: Descriptive Statistics*/
/**********************************/
use "All Couples[14]", clear
quietly: summarize mig if child_cat==0
quietly: putexcel a1=("Table 2: Frequencies") a2=("Group") b2=("Sample Size") c2=("Migration Rate") a3=("by Parental Status:") a4=("Childless") b4=matrix(r(N)) c4=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", replace
quietly: summarize mig if child_cat==1
quietly: putexcel a5=("With Residential Children Only") b5=matrix(r(N)) c5=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", modify
quietly: summarize mig if child_cat==2
quietly: putexcel a6=("With Non-Resdential Children Only") b6=matrix(r(N)) c6=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", modify
quietly: summarize mig if child_cat==3
quietly: putexcel a7=("With both Residential and Non-Residential Children") b7=matrix(r(N)) c7=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", modify
quietly: summarize mig if child_cat!=0
quietly: summarize mig if fem==1
quietly: putexcel a8=("by Gender:") a9=("Women") b9=matrix(r(N)) c9=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", modify
quietly: summarize mig if fem==0
quietly: putexcel a10=("Men") b10=matrix(r(N)) c10=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", modify
quietly: summarize mig
quietly: putexcel a11=("Total") b11=matrix(r(N)) c11=matrix(r(mean)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 2", modify

/***********************************/
/* Table 3: Random-intercept model */
/***********************************/
use "All Couples[14]", clear
set more off
melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:
estout using  "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3a.txt", replace ///
cells("b(fmt(4) label(Parameter Estimate)) se(fmt(4) label(Standard Error)) p(fmt(4) label(P-Value))") varwidth(30) legend ///
title("Table 3: Parameter Estimates of Model of Probability of Migration") ///
keep(1.own age inc 1.educx 2.educx 1.p_mig 1.cust17 1.cust23 1.ncust17 1.ncust23 1.fem d_age d_educ sh_inc 1.fem#c.d_age 1.fem#c.d_educ 1.fem#c.sh_inc ///
1.period 2.period 3.period 2.region 3.region 4.region) ///
varlabels(d_age "Difference in Age" 1.fem#c.d_age "Female*Diference in Age" 1.own "Homeowner" age "Age" inc "Income" ///
1.educx "High School Graduate" 2.educx "College Graduate" 1.p_mig "Lived in Another Region" 1.cust17 "Residential Child <18" 1.cust23 "Residential Child 18-23" ///
1.ncust17 "Non-Residential Child >18" 1.ncust23 "Non-Residential Child 18-23" 1.fem "Female" d_educ "Difference in Education" 1.fem#c.d_educ ///
"Female*Difference in Education" 1.fem#c.sh_inc "Female*Share of Income" sh_inc "Share of Income" 2.region "Midwest" 3.region "South" 4.region "West" ///
1.period "1982 to 1991" 2.period "1992 to 2001" 3.period "2002 to 2011" ) ///
stats(N ll chi2 df_m p, fmt (0 4 4 0 4) labels("Number of Cases" "Log-Likelihood" "Wald Chi2" "Degrees of Freedom" "Prob.>Chi2"))

putexcel e3=("Selected Marginal Effects") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", replace
putexcel e19=("See Figure 1") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
putexcel e21=("See Figure 2") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(1.own) predict(mu fixed)
putexcel d5=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(1.educx) predict(mu fixed)
putexcel d8=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(2.educx) predict(mu fixed)
putexcel d9=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(1.p_mig) predict(mu fixed)
putexcel d10=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(1.cust17) predict(mu fixed)
putexcel d11=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(1.cust23) predict(mu fixed)
putexcel d12=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(1.fem) predict(mu fixed)
putexcel d15=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify
margins, dydx(4.region) predict(mu fixed)
putexcel d27=matrix(r(b)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 3b", modify


/*****************************/
/* Figure 1: Marginal Effect */
/*****************************/
use "All Couples[14]", clear
set more off
melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:, vce(robust)
margins, dydx(fem) at(sh_inc==(.00(.1)1)) predict(fixed)
marginsplot, title(Figure 2: Gender Effect of Relative Income) ytitle(Wife's Probability of Migrating) xtitle(Wife's Share of Family Income)
graph export "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/graph2.pdf", replace

/*****************************/
/* Figure 2: Marginal Effect */
/*****************************/

margins, dydx(fem) at(d_educ==(-11(1)11)) predict(fixed)
marginsplot, title(Figure 1: Gender Effect of Relative Education) ytitle(Wife's Probability of Migrating) xtitle(Wife's Education less Husband's Education)
graph export "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/graph1.pdf", replace

/******************************************/
/* additional analysis of parental status */
/******************************************/
use "All Couples[14]", clear
set more off
melogit mig i.own c.age c.inc i.educx i.p_mig i.children i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:, vce(robust)
margins, dydx(children) predict(mu fixed)

/*****************/
/* Table 4: ICCs */
/*****************/
use "All Couples[14]", clear
set more off
melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:
estat icc, level(99)
quietly: putexcel a1=("Table 4: Intra-Class Correlation Coefficients") a2=("Model") b2=("Coefficient") a3=("Full Sample") b3=matrix(r(icc2)) c3=("***") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 4", replace

use "All Couples[14]", clear
keep if child_cat==0
quietly: melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:
estat icc, level(99)
quietly: putexcel a4=("Childless") b4=matrix(r(icc2)) using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 4", modify

use "All Couples[14]", clear
keep if child_cat!=0
quietly: melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:
estat icc, level(99)
quietly: putexcel a5=("Parents") b5=matrix(r(icc2)) c5=("***") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 4", modify

use "All Couples[14]", clear
keep if child_cat!=0 & period<=1
quietly: melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:
estat icc, level(99)
quietly: putexcel a6=("Parents, 1991 and Before") b6=matrix(r(icc2)) c6=("***") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 4", modify

use "All Couples[14]", clear
keep if child_cat!=0 & period>1
quietly: melogit mig i.own c.age c.inc i.educx i.p_mig i.cust17 i.cust23 i.ncust17 i.ncust23 i.fem##c.d_age i.fem##c.d_educ i.fem##c.sh_inc i.period i.region || c_id:
estat icc, level(99)
quietly: putexcel a7=("Parents, After 1991") b7=matrix(r(icc2)) c7=("***") a8=("Significance: *<0.05; **<0.01; ***<0.001") using "/Users/Cooke/Google Drive/Research/Custodial Migration/Manuscripts/table 4", modify
